Package com.collibra.dgc.core.api.model.instance

# Interface Relation

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface Relation extends Resource
Represents a relation

Relation is an association between two assets called source and target of the relation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getEndingDate()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  To be removed without replacement.
  `NamedResourceReference`
  `getSource()`
  Returns the source of the relation.
  `Long`
  `getStartingDate()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  To be removed without replacement.
  `NamedResourceReference`
  `getTarget()`
  Gets the target of the relation.
  `ResourceReference`
  `getType()`
  Returns the type of the relation.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getSource

    NamedResourceReference getSource()
    Returns the source of the relation.
    Returns:
      the source of the relation

  - ### getTarget

    NamedResourceReference getTarget()
    Gets the target of the relation.
    Returns:
      the target of the relation

  - ### getType

    ResourceReference getType()
    Returns the type of the relation.
    Returns:
      the type of the relation

  - ### getStartingDate

    @Deprecated(forRemoval=true) Long getStartingDate()
    Deprecated, for removal: This API element is subject to removal in a future version.
    To be removed without replacement.
    Returns the starting date.
    Returns:
      the starting date

  - ### getEndingDate

    @Deprecated(forRemoval=true) Long getEndingDate()
    Deprecated, for removal: This API element is subject to removal in a future version.
    To be removed without replacement.
    Returns the ending date.
    Returns:
      the ending date